using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace VppMigrationTool
{
    /// <summary>
    /// Displays generatic exception information
    /// </summary>
    public partial class ExceptionDetails : Form
    {
        public ExceptionDetails(Exception e)
        {
            InitializeComponent();

            this.Text = e.Message;
            this.lblStacktrace.Text = e.Message + "\n\r\n\r\n\r";
            this.lblStacktrace.Text += e.StackTrace + "\n\r\n\r\n\r";

            Exception inner = e.InnerException;
            while (inner!=null)
            {
                this.lblStacktrace.Text += "--- Inner exception ---\n\r\n\r\n\r";
                this.lblStacktrace.Text += inner.Message + "\n\r\n\r\n\r";
                this.lblStacktrace.Text += inner.StackTrace;

                inner = inner.InnerException;
            }
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}