﻿using EPiServer.Core;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace VppMigrationTool.Util
{
    [Serializable]
    public class ConverterContext
    {
        public String[] ProviderNames { get; set; }
        public bool KeepIdentity { get; set; }
        public bool KeepSummary { get; set; }
        public bool ContinueOnError { get; set; }
        public bool RunParallel { get; set; }
        public bool CreateRootFolderPerVpp { get; set; }
        public ConvertedItemInfo ConvertedItemInfo { get; set; }
        public StatusEventHandler StatusEventHandler;
    }
}
 